VMware Workstation 9.0.3 Fails to Install Completely

Archived topics about LMDE 1
Forum rules
geofurtado
Level 1
Level 1
Posts: 16
Joined: Mon Dec 26, 2011 8:35 pm

VMware Workstation 9.0.3 Fails to Install Completely

Postby geofurtado » Wed Apr 16, 2014 1:50 pm

After the LMDE upgrade, I was having a problem with VMware Workstation 9.0.3. The following service failed to startup even after an uninstall and reinstall of VMware:

Virtual Machine Communications Interface *vcmi"
VM Communication Interface

The problem seems to be with VMware in the new kernel after LMDE upgrade, "3.11.8-1-amd64"

When I revert back to the old kernel "3.10-2-amd64" *by selecting it in grub(, VMware is working properly.

I would like to continue to use LMDE, but also need to have a reliable platform for VMware Workstation. If I reinstall LMDE from scratch, will I get a different kernel (later kernels seem work fine)?

I know there is a patch for VMware to try to get it working, but it looks like the patch is a messy process.

Thanks for any input.

User avatar
Kalyk
Level 5
Level 5
Posts: 770
Joined: Wed Mar 12, 2014 5:29 pm
Location: The Netherlands

Re: VMware Workstation 9.0.3 Fails to Install Completely

Postby Kalyk » Thu Apr 17, 2014 3:30 am

You probably need to reinstall VMWare-tools under the newer kernel, because it does something with integration into the kernel and the new kernel needs to get this also.
Add (Solved) to the topic-title of the first post when appropriate so others know they might find a solution here.

geofurtado
Level 1
Level 1
Posts: 16
Joined: Mon Dec 26, 2011 8:35 pm

Re: VMware Workstation 9.0.3 Fails to Install Completely

Postby geofurtado » Thu Apr 17, 2014 7:44 pm

I had already tried that one, but did not make a difference.

Thanks

geofurtado
Level 1
Level 1
Posts: 16
Joined: Mon Dec 26, 2011 8:35 pm

Re: VMware Workstation 9.0.3 Fails to Install Completely

Postby geofurtado » Thu Apr 17, 2014 11:09 pm

Normally, I would just patch Vmware, but after looking at the patches available, it was just cleaner and easier to buy the upgrade to version 10. It works with the new version.


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 3 guests